get
https://api.omnisend.com/api/form-templates
List form templates with sorting, filtering and cursor-based pagination support.
Only templates available in the brand's library are returned, each with its full content and brand assets applied.
Scopes:
forms.read
Rate limit: 400 requests per minute.
Pagination:
This endpoint uses cursor-based pagination. Use the after cursor from the response to get the next page,
or the before cursor to get the previous page. Do not use both after and before parameters simultaneously.
Sorting:
- Only single-field sorting is supported. You cannot sort by multiple fields.
- Available sort fields:
createdAt(default). - Sort parameters are only required on the first request. Subsequent requests using a cursor
will automatically use the sort settings embedded in the cursor.
Cursor Behavior:
- Cursors are self-contained and include all parameters needed for pagination.
- Once you have a cursor, you only need to pass the cursor for subsequent pages.
- If sort parameters are provided with a cursor, they must match the cursor's sort settings.
- Cursors may become invalid if the underlying data changes significantly (e.g., the referenced template is removed).